Qt Reference Documentation

# QDomEntity Class Reference

The QDomEntity class represents an XML entity. More...

     #include <QDomEntity>

Inherits: QDomNode.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

| QDomEntity ()
| QDomEntity ( const QDomEntity & x )
QDomNode::NodeType | nodeType () const
QString | notationName () const
QString | publicId () const
QString | systemId () const
QDomEntity & | operator= ( const QDomEntity & x )

- 66 public functions inherited from QDomNode

## Detailed Description

The QDomEntity class represents an XML entity.

This class represents an entity in an XML document, either parsed or unparsed. Note that this models the entity itself not the entity declaration.

DOM does not support editing entity nodes; if a user wants to make changes to the contents of an entity, every related QDomEntityReference node must be replaced in the DOM tree by a clone of the entity's contents, and then the desired changes must be made to each of the clones instead. All the descendants of an entity node are read-only.

An entity node does not have any parent.

You can access the entity's publicId(), systemId() and notationName() when available.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomEntity::QDomEntity ()

Constructs an empty entity.

### QDomEntity::QDomEntity ( const QDomEntity & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomEntity::nodeType () const

Returns `EntityNode`.

### QString QDomEntity::notationName () const

For unparsed entities this function returns the name of the notation for the entity. For parsed entities this function returns an empty string.

### QString QDomEntity::publicId () const

Returns the public identifier associated with this entity. If the public identifier was not specified an empty string is returned.

### QString QDomEntity::systemId () const

Returns the system identifier associated with this entity. If the system identifier was not specified an empty string is returned.

### QDomEntity & QDomEntity::operator= ( const QDomEntity & x )

Assigns x to this DOM entity.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().